Page MenuHomePhabricator

Remove `-ms-transition` & `-ms-animation` from OOjs UI as IE10 final understands unprefixed properties.
Closed, ResolvedPublic

Description

In .oo-ui-animation/.oo-ui-transition mixins we've currently included -ms-animation & -ms-transition. In the final published version of IE10 introducing CSS3 animations/transitions it supported unprefixed versions of those properties.
Citing from https://msdn.microsoft.com/en-us/library/hh772212%28v=vs.85%29.aspx

Do not use the Microsoft vendor prefix ("-ms-") before the CSS animations properties. They are supported unprefixed in Internet Explorer 10 and later.

So let's clean up and get rid of those.

See also http://blogs.msdn.com/b/ie/archive/2011/11/21/adding-personality-with-css3-transitions-and-animations.aspx

Event Timeline

Volker_E claimed this task.
Volker_E raised the priority of this task from to Low.
Volker_E updated the task description. (Show Details)
Volker_E added projects: OOUI, UI-Standardization.
Volker_E added subscribers: Volker_E, Krinkle, matmarex and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2015, 12:54 AM

Change 248584 had a related patch set uploaded (by VolkerE):
Remove unnecessary IE10beta vendor-prefixes from OOjs UI

https://gerrit.wikimedia.org/r/248584

Volker_E moved this task from Backlog to Doing on the OOUI board.Oct 24 2015, 2:31 AM
Volker_E moved this task from Unsorted to Doing… on the UI-Standardization board.

Change 248584 merged by jenkins-bot:
Remove unnecessary IE10beta vendor-prefixes from OOjs UI

https://gerrit.wikimedia.org/r/248584

Nice! Together with T116454 nearly 1 KB of savings on minified CSS. :)

Volker_E moved this task from Doing… to Done on the UI-Standardization board.Nov 5 2015, 4:21 AM
Volker_E closed this task as Resolved.Jan 10 2016, 11:37 AM
Volker_E removed a project: Patch-For-Review.
Volker_E set Security to None.
Danny_B moved this task from Done to OOUI on the UI-Standardization board.May 20 2016, 8:53 PM
Jdforrester-WMF moved this task from Doing to OOjs-UI-0.13.0 on the OOUI board.May 30 2016, 4:05 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.13.0); removed OOUI.